Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.model
Enum Resource.Type

    java.lang.Object
      java.lang.Enum<Resource.Type>
          org.teleal.cling.model.Resource.Type

All Implemented Interfaces:
  Serializable, Comparable<Resource.Type>

Enclosing class:
  Resource<M>

    public static enum Resource.Type

extends Enum<Resource.Type>

Enum Constant Summary
`CONTROL`
`DEVICE_DESCRIPTOR`
`EVENT_CALLBACK`
`EVENT_SUBSCRIPTION`
`ICON`
`SERVICE_DESCRIPTOR`

Method Summary
`static Resource.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Resource.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEVICE_DESCRIPTOR

    public static final Resource.Type DEVICE_DESCRIPTOR

### SERVICE_DESCRIPTOR

    public static final Resource.Type SERVICE_DESCRIPTOR

### ICON

    public static final Resource.Type ICON

### CONTROL

    public static final Resource.Type CONTROL

### EVENT_SUBSCRIPTION

    public static final Resource.Type EVENT_SUBSCRIPTION

### EVENT_CALLBACK

    public static final Resource.Type EVENT_CALLBACK

Method Detail

### values

    public static Resource.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Resource.Type c : Resource.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Resource.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.